Bug 50512

Summary: API Documentation referencing depreciated GTK_WIDGET_TOPLEVEL
Product: WebKit Reporter: Derek <djw8605>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Minor CC: djw8605, mrobinson
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Proposed Patch
none
Proposed Patch
none
Proposed Patch mrobinson: review+

Description Derek 2010-12-03 21:10:00 PST
On the API page describing WebKitWebView (http://webkitgtk.org/reference/webkitgtk-webkitwebview.html) in the API reference, an example uses the depreciated GTK_WIDGET_TOPLEVEL.

https://bugs.webkit.org/show_bug.cgi?id=33486 fixed the bug, but not the in-code documentation.
Comment 1 Derek 2010-12-03 21:14:56 PST
Created attachment 75594 [details]
Proposed Patch
Comment 2 Derek 2010-12-03 21:19:58 PST
Created attachment 75595 [details]
Proposed Patch

Updated patch with bug link.
Comment 3 Martin Robinson 2010-12-04 18:55:59 PST
Seems reasonable to me, but do you mind attaching a ChangeLog to your patch? See here: http://webkit.org/coding/contributing.html
Comment 4 Derek 2010-12-04 21:32:33 PST
Created attachment 75625 [details]
Proposed Patch

Proposed patch with ChangeLog.
Comment 5 Martin Robinson 2010-12-06 02:51:52 PST
Comment on attachment 75625 [details]
Proposed Patch

Thanks!
Comment 6 Martin Robinson 2010-12-06 03:23:23 PST
Committed r73354: <http://trac.webkit.org/changeset/73354>